
# Big Blue Button


![demoPicture](/images/bbb/bbbhome.png)


---


https://bigbluebutton.org/


---

### Videoconferenza

![demoPicture](/images/bbb/meet.png)

---
### Cosa notiamo subito:

- Nome della stanza
- Presentatore
- Spettatori
- chat

Note:
simbolini tondi e quadrati, condividere lo schermo o usare la lavagna.

--

- Home room (nome di default)
- simbolino tondo
- simbolino quadrato

---

## creare una stanza / room

- avere un account
- settare le opzioni
- creare una stanza
- condividere una stanza

--

## home

![demoPicture](/images/bbb/crearoom.png)

Note: le room rimagono, poi si hanno le sessioni

--
## nuova stanza
![demoPicture](/images/bbb/opzioniroom.png)

--

## condividi stanza

![demoPicture](/images/bbb/condividistanza.png)

---

## inizia una sessione

![demoPicture](/images/bbb/dashboard.png)

--

## entra

![demoPicture](/images/bbb/entra.png)
stanza libera oppure con password

--

## test audio
![demoPicture](/images/bbb/testaudio.png)

--

## accesso sbagliato

![demoPicture](/images/bbb/notkey.png)

--

## la stanza non è attiva

![demoPicture](/images/bbb/nonattiva.png)

---
## impostazioni

![demoPicture](/images/bbb/setrunning.png)

--

- endmeeting (moderatore)
- logout (spettatore)

--
## impostazioni (utente)

![demoPicture](/images/bbb/application.png)

--

## risparmio dati (utente)

![demoPicture](/images/bbb/data.png)

---
## ruoli 1

* chi ha l'account
* presentatore
* moderatore
* spettatore

Note:
ricordare che chi ha l'account decide moderatori e presentatore. solo chi presenta vede la lavagna e il plus
---

## pallini blu centrali

- muta/parla (si può bloccare)
- disattiva audio 
- webcam (si può bloccare)
- condividi schermo (solo presentatore)

---

## le chat

* comune al gruppo (disattivabile)
* personale (disattivabile)
* scompaiono alla chiusura della sessione
* si possono salvare in formato testo .txt

---

## note condivise

* disattivabili
* scompare alla chiusura della sessione
* esportabile in testo, html, pdf, ...

---


## Lavagna condivisa

![demoPicture](/images/bbb/lavagna.png)

schermo condiviso o lavagna condivisa

--

## set di strumenti
- testo
- forme geometriche
- mano libera
- sposta
- indietro
- cancella
- lavagna multiutente

---

## Plus

![demoPicture](/images/bbb/plus.png)

--
## Plus

- sondaggio
- slide (input molti formati diversi, output in immagine)
- mostra video dal web

--

## Presentazione

![demoPicture](/images/bbb/uploadslide.png)

--

## sondaggio

![demoPicture](/images/bbb/poll.png)

effimero
--

## pubblica sondaggio

![demoPicture](/images/bbb/sharepoll.png)

---

## azioni da spettatore

![demoPicture](/images/bbb/user.png)

--

## emoji

![demoPicture](/images/bbb/emoji.png)

--

## azioni su altro utente

- inizia chat privata

---

## Azioni da Moderatore 

![demoPicture](/images/bbb/azioniisuutente.png)

click su utente
--

- muta un altro utente
- affida il ruolo di Presentatore
- affida il ruolo di Moderatore
- rimuove un altro utente
---

## Gestire utenti (Moderatore)

![demoPicture](/images/bbb/azioniaccounter.png)

tasto ingranaggio

--

- pulire lo status degli altri utenti
- mutare tutti
- mutare tutti tranne il presentatore
- salvare il nome dei presenti

- blocca spettatori

- crea stanze separate
- scrivi sottotitoli

---

## blocca spettatori

![demoPicture](/images/bbb/bloccaspettatori.png)

---

## stanze separate

![demoPicture](/images/bbb/stanze.png)
effimere

---

## sottotitoli

![demoPicture](/images/bbb/subtitle.png)

---

## moderatore sulla stanza

- attiva le registrazioni
- finisce l'incontro (end meeting)

---

## Registrazioni 

![personabbonata](/images/bbb/meet.png)

--

## Lista Registrazioni 

![personabbonata](/images/bbb/rec.png)

--

## Registrazione

video, lavagna/schermo condiviso e chat

![personabbonata](/images/bbb/videorec.png)

---


## Espansioni

- PAD
- CALC
- share CONDIVIDI file da scaricare
- galleria di immagini
- ...

--

## per provarli

Chatons (economia solidale)

https://entraide.chatons.org/it/

Disroot (antifa)

https://disroot.org/en/#services

--

## un accorciatore di link pubblici

https://vado.li

https://accorcia.to/

---
## consigli

* secondo canale di comunicazione
* una pagina online o un mail con le info

---

## Esercizi:

- Passarsi il permesso di "presentatore"
- 2 stanze da 15min (Slide)
- Giocare a tris su lavagna multiutente

---

## espansione videconf ibride

un gruppo in presenza e trasmissione remoto

--

## cosa serve

* casse/speaker
* radio microfono
* cavo cannon-rca
* scheda audio rca-USB
* un computer
* una persona tecnica che assiste
* connessione stabile

---

## doc

https://docs.bigbluebutton.org/

---

## risoluzione problemi

Ricarica la pagina, F5, ctrl+shift+R

Controlla il funzionamento della connessione
https://speedtest.org 

---

## e se..
## dove?
## chi?

--

## hosting immediato 

* francesi https://yourownnet.net/
* 140 euro l'anno

--

## yourownnet

![demoPicture](/images/bbb/yournet.png)

--
## hosting immediato 2

* inglesi https://www.org.meet.coop/ 
* 9 pound al mese, circa 120 euro all'anno

--

## meet.coop

![demoPicture](/images/bbb/meetcoop.png)

--

## Per le scuole

https://scuolalibera.continuity.space/bigbluebutton

-- 
## edu.cisti.org

server autogestito dall'hacklab Underscore di Torino

Donazioni ben accette

Non ancora pubblico, in testing

si fa quel che si può

--

## da Abinaria

* tecnica in sala
* consulenza
* formazione tecnica

Note:
Test da fare
    - Prova sconnessione moderatore (senza opzione "permetti a chiunque di avviare")
    - Provare Join automatico
    - Profili delle stanze (riunione, formazione, assemblea)

