## Agende, scadenze & progetti
Abinaria@MAG6
19/01/2021

![demoPicture](/images/agenda/calendario_copertina.jpg)
<!-- .element: width="80%" -->

---
### Cosa faremo
- Intro
- Gestione agende
- Gestione attività
- Suddivisione lavori/responsabilità
- Conclusioni e fornitori servizi

---
### Situazione attuale 1/3
![demoPicture](/images/agenda/mag_turni.png) <!--.element:  width="70%" -->

---
#### Necessità individuate 1/3 (Turni/Disponibilità)
- Gestione turni per attività a rotazione:
 - Settimanale
 - Impegni individuali
 - Pochi compiti specifici (segreteria, posta, etc)

- Calendari personali disponibilità: 
 - Settimanale
 - Impegni individuali o collettivi (collaborazione o gruppi) 
 - Slot orari comuni, con flessibilità ind.
 - Legenda comune, con flessibilità ind.

---
### Situazione attuale 2/3
![demoPicture](/images/agenda/mag_bil_cons.jpg) <!--.element:  width="70%" -->

---
#### Necessità individuate 2/3 (Progetti/Attività)
- Dalle procedure per bilanci e estratti conto: 
 - Procedure annuali/cicliche, con revisioni coll.
 - Impegni individuali e a gruppi
 - Attività e sottoattività con dipendenze e scadenze
 - Creazione, condivisione e approvazioni di documenti (anche con revisioni esterne)
 - Dipendenze: documenti esterni, revisioni ind/coll/ass, lavori ind/coll/ass
 - Scadenze: date precise, "entro n giorni"

---
### Situazione attuale 3/3
![demoPicture](/images/agenda/mag_mansionario.png) <!--.element:  width="80%" -->

---
### Necessità individuate 3/3 (Responsabilità)
- Dal mansionario: 
 - Suddivisione in macroaree/aree
 - Gruppi (anche individuali) di responsabilità 

---
### Parole chiave
- Lavoro/calendari condivisi (***Groupware***)
- Gestione attività (***Project Management***)

![demoPicture](/images/agenda/lista_sw.png) <!-- .element: width="50%" -->
<p>Tabella di confronto dei software per il project management da Wikipedia</p><!-- .element: style="font-size:0.3em" -->

---
### Criteri applicati
- FLOSS
- Priorità alla gestione dei calendari
- Supporto per progetti e responsabilità
- Non ultra-specializzato
- Complessità utilizzo approcciabile
- Complessità mantenimento approcciabile
- Esperienza dagli incontri precedenti (BBB)

<blockquote>Nota: eventuali programmi futuri potrebbero ridefinire i criteri</blockquote><!-- .element: style="text-align: center;" -->

Note: se si vuole passare alle gestione di tutti i progetti tramite un gestionale diverso,o un project management piu' complesso, o allargare l'utilizzo della piattaforma a tutti i soci, o ... comunque i concetti rimangono validi

---
### NextCloud

![demoPicture](/images/agenda/nc_sito.png) <!-- .element: width="70%" --><br>
https://nextcloud.com
<blockquote>Oggi vedremo solo alcune funzionalità e non un'introduzione completa</blockquote><!-- .element: style="font-size:0.7em" -->

Note: inizia come applicazione di filesharing

---
### Login

![demoPicture](/images/agenda/nc_login.png) <!-- .element: width="80%" -->

Note: applicazione per Android, tema configurabile a piacere

---
### Cruscotto (*Dashboard*)
![demoPicture](/images/agenda/nc_cruscotto.png) <!-- .element: width="80%" -->

Note: nuova in questa versione, default ma opzionale,  configurabile negli elementi, 
---
### Interfaccia e barra
![demoPicture](/images/agenda/nc_barra.png) <!-- .element: width="80%" -->

---
### Menu amministratore
![demoPicture](/images/agenda/nc_menu_admin.png) <!-- .element: width="80%" -->

Note: gestione utenti anche se admin di un gruppo

---
### Applicazioni
![demoPicture](/images/agenda/nc_applicazioni.png) <!-- .element: width="80%" -->

Note: spesso, non sempre, corrispondono ad un'icona nella barra

---
### Gestione Utenti e Gruppi
![demoPicture](/images/agenda/nc_utenti.png) <!-- .element: width="80%" -->
<p>Solo per *Admin* o *Group Admin*</p>

Note: solo alcuni sono amministratori, creazione 

---
### Menu utente
![demoPicture](/images/agenda/nc_menu_utente.png) <!-- .element: width="80%" -->

---
### Impostazioni personali
![demoPicture](/images/agenda/nc_impostazioni_utente.png) <!-- .element: width="80%" -->

Note: email, lingua, localizzazione

---
### Calendario personale
![demoPicture](/images/agenda/nc_calendario_personale.png) <!-- .element: width="80%" -->

Note: visualizzazioni mensili, settimanali, giornaliera, elenco.. 

---
### Calendario - Impostazioni
![demoPicture](/images/agenda/nc_calendario_impostazioni.png) <!-- .element: width="80%" -->

---
### Creazione evento
![demoPicture](/images/agenda/nc_evento_barra.png) <!-- .element: width="80%" -->
Visualizzazione ***Barra laterale***

---
### Dettagli evento

<div style="display:flex">
![demoPicture](/images/agenda/nc_evento_dettagli.png) <!-- .element: width="20%" -->
<div><ul> 
<li>Luogo, descrizione</li>
<li>Confermato/Provvisorio/Annullato</li>
<li>Visibilità se condiviso (Si, No, Parziale)</li>
<li>Libero o occupato</li>
<li>Categorie, colore</li>
</ul></div>
</div>

---
### Partecipanti evento
<div style="display:flex">
![demoPicture](/images/agenda/nc_evento_partecipanti.png) <!-- .element: width="20%" -->
<div><ul> 
<li>Utenti</li>
<li>Inviti via mail</li>
<li>Inviti a contatti esterni (con conferma)
<li>**Non** si possono invitare gruppi</li>
<li>Presidente/necessario/facoltativo</li>
</ul></div>
</div>

Note: capire cos'e' presidente

---
### Pianificazione evento
![demoPicture](/images/agenda/nc_evento_orari.png) <!-- .element: width="80%" -->

---
### Promemoria evento
<div style="display:flex">
![demoPicture](/images/agenda/nc_evento_promemoria.png) <!-- .element: width="20%" -->
<div><ul> 
<li>Promeria multipli</li>
<li>Notifica e/o email</li>
<li>Minuti/ore/giorni/settimane prima</li>
<li>In data precisa</li>
</ul></div>
</div>

---
### Ripetizioni evento
<div style="display:flex">
![demoPicture](/images/agenda/nc_evento_ripeti.png) <!-- .element: width="20%" -->
<div><ul> 
<li>Giorno/settimana/mese/anno</li>
<li>Scelta avanzata: quali giorni della settimana, il giorno tale del mese, il primo lunedì di gennaio, etc</li>
<li>Ripetizione può terminare dopo una certa data o un certo numero di eventi</li>
<li>**Gli eventi sono modificabili individualmente**</li>
</ul></div>
</div>

---
### Creare un calendario
![demoPicture](/images/agenda/nc_calendario_creazione.png) <!-- .element: width="80%" -->

---
### Condividere un calendario
![demoPicture](/images/agenda/nc_calendario_condivisione.png) <!-- .element: width="80%" -->
<blockquote>
Condivisione con utenti e gruppi, solo lettura o modifica
</blockquote><!-- .element: style="font-size:0.8em"-->

---
### Modifica cal condiviso
![demoPicture](/images/agenda/nc_calendario_modifica_condiviso.png) <!-- .element: width="80%" -->
<blockquote>
Le modifiche su un calendario condiviso valgono solo per il singolo utente
</blockquote><!-- .element: style="font-size:0.8em" -->
---
### Mille calendari!
![demoPicture](/images/agenda/nc_calendario_segreteria_bis.png) <!-- .element: width="80%" -->
<blockquote>
I calendari si possono visualizzare/disattivare individualmente
</blockquote><!-- .element: style="font-size:0.8em" -->

Note: attivabili e disattivabili, giorno intero vs orari, visibilita' limitata

---
### Mensile
![demoPicture](/images/agenda/nc_calendario_segreteria_mensile.png) <!-- .element: width="80%" -->

---
### Calendari: riassunto
- Gestisce bene
 - Impegni personali e collettivi
 - Ripetizioni periodiche
 - Notifiche 
 - Condivisioni
- Mancano
 - Correlare eventi e attività
 - Non ci sono allegati / condivisioni 

---
### Attività (*Tasks*)
![demoPicture](/images/agenda/nc_task.png) <!-- .element: width="80%" -->
<blockquote>
Condivisibili come per i calendari <BR>
**TRADUZIONE: TASKs (✔) vs ACTIVITY (⚡) !!! **
</blockquote><!-- .element: style="font-size:0.8em" -->

---
### Lista attività
<div style="display:flex">
![demoPicture](/images/agenda/nc_task_schema.png) <!-- .element: width="40%" -->
<div><ul> 
<li>Supporta la suddivisione in sottoattività</li>
<li>Ordinabili per data/priorità/manualmente/...</li>
<li>Genera un calendario</li>
<li>**Non** supportano l'assegnazione a utenti/gruppi</li>
</ul></div>
</div>

---
### Dettagli attività
<div style="display:flex">
![demoPicture](/images/agenda/nc_task_dettaglio.png) <!-- .element: width="30%" -->
<div><ul> 
<li>Data inizio/fine</li>
<li>Stato: Richiede azione/In corso/Completata/Annullata</li>
<li>Priorità</li>
<li>Descrizione e Categoria</li>
<li>Percentuale completamento</li>
</ul></div>
</div>

---
### Attività completate
![demoPicture](/images/agenda/nc_task_archiviate.png) <!-- .element: width="80%" -->

---
### Attività: cal mensile
![demoPicture](/images/agenda/nc_task_calendario_mensile.png) <!-- .element: width="80%" -->
<blockquote>
Vengono visualizzate le date di scadenza
</blockquote><!-- .element: style="font-size:0.8em" -->

---
### Attività: cal eventi
![demoPicture](/images/agenda/nc_task_calendario_eventi.png) <!-- .element: width="80%" -->
<blockquote>
Gli eventi sono comunque limitati per mese
</blockquote><!-- .element: style="font-size:0.8em" -->

---
### Attività: riassunto
- Gestisce bene
 - Condivisione tra utenti e gruppi
 - Suddivisione in sotto-attività
 - Visualizzazione nel calendario

- Mancano
 - Dipendenze tra attività
 - Assegnazione responsabilità

---
### Schede (*Deck*)
![demoPicture](/images/agenda/nc_deck.png) <!-- .element: width="80%" -->

Note: non risolve le dipendenze, aiuta con le responsabilita'

---
### Kanban
![demoPicture](/images/agenda/kanban.jpg) <!-- .element: width="80%" -->
<p>Immagine da Wikipedia</p><!-- .element: style="font-size:0.3em" -->

Note: basato sui diversi stadi della lavorazione
Visualizzare il flusso di lavoro
Limitare il Work-in-Process
Misurare e gestire il flusso

---
### Deck - Interfaccia
![demoPicture](/images/agenda/nc_deck_intro_2.png) <!-- .element: width="80%" -->
<blockquote>
Le schede si trascinano!
</blockquote><!-- .element: style="font-size:0.8em" -->

---
### Lavagna
![demoPicture](/images/agenda/nc_deck_lavagna_etichette.png) <!-- .element: width="80%" -->

---
### Lavagna - Opzioni
![demoPicture](/images/agenda/nc_deck_lavagna_opzioni.png) <!-- .element: width="80%" -->

---
### Lavagna - Promemoria
![demoPicture](/images/agenda/nc_deck_lavagna_promemoria.png) <!-- .element: width="80%" -->

---
### Lavagna - Filtra
![demoPicture](/images/agenda/nc_deck_lavagna_filtra.png) <!-- .element: width="80%" -->

---
### Scheda - Opzioni
![demoPicture](/images/agenda/nc_deck_scheda_opzioni.png) <!-- .element: width="80%" -->
<blockquote>
Nota: schede archiviate!
</blockquote><!-- .element: style="font-size:0.8em" -->

---
### Scheda - Barra
![demoPicture](/images/agenda/nc_deck_scheda_barra.png) <!-- .element: width="80%" -->

---
### Scheda - Dettagli
![demoPicture](/images/agenda/nc_deck_scheda_dettagli.png) <!-- .element: width="80%" -->



Note: Etichette, partecipanti, data di scadenza, descrizione

---
### Scheda - Allegati
![demoPicture](/images/agenda/nc_deck_scheda_allegati.png) <!-- .element: width="80%" -->

<blockquote>
Allegati non indicizzati :( 
</blockquote><!-- .element: style="font-size:0.8em" -->

Note: rimane raggiungibile solo qui, non indicizzato
---
### Scheda - Commenti
![demoPicture](/images/agenda/nc_deck_scheda_commenti.png) <!-- .element: width="80%" -->

---
### Scheda - Linea Temporale
![demoPicture](/images/agenda/nc_deck_scheda_linea.png) <!-- .element: width="80%" -->

---
### Deck -> Attività
![demoPicture](/images/agenda/nc_deck_attivita.png) <!-- .element: width="80%" -->
<blockquote>
Limiti: annidamento, no data di inizio, no priorità 
</blockquote><!-- .element: style="font-size:0.8em" -->

---
### Deck -> Calendario 
![demoPicture](/images/agenda/nc_deck_calendario.png) <!-- .element: width="80%" -->
<blockquote>
Limiti: rimanda all'attività, visibilità e modifiche molto limitate
</blockquote><!-- .element: style="font-size:0.8em" -->

---
### Organizzazione 1
![demoPicture](/images/agenda/nc_deck_organizzazione_1.png) <!-- .element: width="70%" -->
<blockquote>
- Progetto -> Lavagna
- Attività -> Elenco
- Sottoattività -> Scheda
</blockquote><!-- .element: style="font-size:0.8em" -->

---
### Organizzazione 2
![demoPicture](/images/agenda/nc_deck_organizzazione_2.png) <!-- .element: width="70%" -->
<blockquote>
- Gruppo -> Lavagna
- Stato di lavorazione -> Elenco
- Attività -> Scheda
</blockquote><!-- .element: style="font-size:0.8em" -->

Note: abuso di kanban, diventano molti elenchi
---
### Organizzazione 3
<blockquote>
- ????
- Progetto -> Lavagna
- Stato di lavorazione -> Elenco
- Attività -> Scheda
</blockquote><!-- .element: style="font-size:0.8em" -->

---
### Deck: riassunto
- Gestisce bene
 - Responsabilità
 - Condivisione tra utenti e gruppi
 - Visualizzazione scadenze nei calendari
- Così-così
 - Allegati
- Mal supportate o assenti
 - Sotto-attività
 - Dipendenze
 - Ripetizioni

---
### Altro di interessante
- Progetti
- Talk
- Cartelle condivise per gruppo
- Cerchie
- Supporto App
- Doppio fattore di autenticazione
- Collabora/OpenOffice (con risorse!)

---
### Associazioni/Collettivi
- https://framagenda.org/ [FR]
 - 15MB, no admin
- https://disroot.org/ [NL]
 - 2GB, no admin, possibile spazio aggiuntivo

Note: cerchie

---
### Commerciali interessanti

- https://yourownnet.net [FR]
 - 35€/anno con OpenOffice (risorse??)
- https://www.owncube.com/
 - 10-20€/mese, no admin?
- https://www.webarchitects.coop/ [UK]
    - £85/mese  *ethical and green* 
- https://thegood.cloud/en [NL]
 - 70€/mese *focus su privacy e configurabile*  

---
### Big
- Gandi.net [FR]
 - L [fino 5 utenti/50GB/3CPU/1GB] 16€/mese
 - XXL [fino 10 utenti/50GB/8CPU/16GB] 32€/mese
- Hetzner.com [DE]
 - 6-12€/mese




