# Dossier Services

### Programmi a confronto

<!-- .slide: data-transition="zoom" -->

---

## Abinaria

- Cooperativa in via di costruzione
- 6 soggetti che stanno dei dintorni di Bologna
- Software libero, tecnologie appropriate, pedagogia hacker

---

## Modello di esplorazione

- Nome
- Obiettivo del software
- Feature per cui lo abbiamo selezionato
- Tutte le sue CARATTERISTICHE
- Pro e Contro *
- Hosting immediato, Costi, selfhosting?
- Note/opinioni (usato già da qualq di conosciuto?)
---

### Pro e contro, Criteri

* tradotto in italiano?
* funziona offline?
* app per lo smarpthone?
* ha una comunità ampia?
* è in sviluppo stabile?
* si possono esportare i dati?
* interoperabile con altri software/formati?
* interoperabile su win e mac?
* personalizzabile?

---

## Dato di partenza

E' tutto software Libre ed Open Source

---

## Domande?

## Iniziamo <!-- .element: class="fragment" -->


---

# Dolibarr

![demoPicture](/images/dolibarr/dolibarr.png)


--

* Enterprise Resource Planning (ERP)
= Pianificazione delle risorse aziendali
* Customer Relationship Management (CRM) = Gestione delle relazioni con i clienti

https://www.dolibarr.org

https://www.dolibarr.it/

https://www.dolistore.com/it/

--

CARATTERISTICA principale
 per cui noi ve lo proponiamo

###  gestione dei clienti/soci e pagamento della quota associativa

--

## Abbonamenti

![demoPicture](/images/dolibarr/contratti.png)

--

## Abbonamento

![demoPicture](/images/dolibarr/contratto.png)

--

## inserimento singolo

![personabbonata](/images/dolibarr/nuovo-soggetto.png)

--

## altre caratteristiche

* fatturazione elettronica
* gestione contatti esterni e richieste (ticket)
* calcolo tempi di lavoro e retribuzione
* gestione magazzino
* ...


--

## Features
![demoPicture](/images/dolibarr/feature1.png)

--
## features 2
![demoPicture](/images/dolibarr/feature2.png)

--
## Dashboard

![demoPicture](/images/dolibarr/dashboard0.png)

--
## Gestione del Personale

![demoPicture](/images/dolibarr/lavoratori.png)

--
## Transazioni bancarie

![demoPicture](/images/dolibarr/transazioni.png)

--
## agenda

![demoPicture](/images/dolibarr/agenda.png)

--


### valutazioni

<small>
****

|Pro e contro|si|no|
|-|-|-|
|tradotto in italiano?|si| |
|funziona offline?| |no|
|app per lo smarpthone?| |no|
|ha una comunità ampia? >=1000pp|si| |
|è in sviluppo stabile?|si||
|si possono esportare i dati?|si||
|interoperabile con altri software/formati?|si||
|interoperabile su win e mac?|web||
|personalizzabile?|si||

****
</small>

--

## hosting immediato 

Coop19, val di Susa https://19.coop/

* installazione in 24ore
* 299 euro l'anno
* 5 utenti - 2GB di spazio
* assistenza compresa

* possibile migrare ad una formula selfhosted
* li conosciamo personalmente
--


## coop 19

![demoPicture](/images/dolibarr/coop19.png)

--

# hosting doliclub

* circa 100euro l'anno
* possibile creare una istanza di prova gratis per 15 giorni

--

## Note

* non ha una interfaccia grafica accattivante
* ci vuole una formazione per usarlo
* fa molte cose 
* possiamo informarci nel dettaglio di qualche caso d'uso da coop19
* usa un linguaggio commerciale

---

# CivicCRM

![demoPicture](/images/civicrm/civicrm.png)


--

- Customer Relationship Management (CRM) = Gestione delle relazioni con i clienti

--

 Caratteristica principale
 per cui noi ve lo proponiamo

### tesseramento dei soci e comunicazione a obiettivi

https://civicrm.org/it/features/membership

--

# Soci

![demoPicture](/images/civicrm/members.png)


--

## altre caratteristiche

* CiviMail, CiviEvent & CiviCampaign
* creazione e gestione di mailinglist ad hoc
* creazione di questionari, sondaggi

--

# Features

![demoPicture](/images/civicrm/features.png)


--

# Login

![demoPicture](/images/civicrm/login.png)


--

# Dashboard

![demoPicture](/images/civicrm/dashboard.png)


--

### Pro e contro

<small>
****

|Valutazioni|si|no|
|-|-|-|
|tradotto in italiano?||no|
|funziona offline?| |no|
|app per lo smarpthone?| |no|
|ha una comunità ampia? >=1000pp|si| |
|è in sviluppo stabile?|si||
|si possono esportare i dati?|si||
|interoperabile con altri software/formati?|si||
|interoperabile su win e mac?|web||
|personalizzabile?|si||

****
</small>

--

## hosting immediato 

* tedesco https://www.systopia.de/civicrm-support-hosting  528euro annuali + 100euro  di installazione

--

# hosting segnalati ufficiali

https://civicrm.org/partners-contributors


--

## Note

* suggerito da Framasoft
* Webassoc lo usa e c'è una loro opinione positiva a riguardo
* viene usato dal partito tedesco dei verdi

---

# jitsi meet


![demoPicture](/images/jitsi/jitsihome.png)


--

 CARATTERISTICA principale
 per cui noi ve lo proponiamo


### video conferenze


https://jitsi.org/

--

## Meeting

![demoPicture](/images/jitsi/assemblea3.png)


--

## altre caratteristiche

* Chat
* App Android
* Condivisione dello schermo
* Link senza login
* decidi la qualità del video
* time for speakers
* presa di parola/alzata di mano
* livello volume individuale
* feedback sulla qualità della connessione
* registrazione

--

## Chat
![demoPicture](/images/jitsi/meeting.png)

--

## Condivisione schermo
![demoPicture](/images/jitsi/condivisione.png)

--

### Pro e contro

<small>
****

|Valutazioni|si|no|
|-|-|-|
|tradotto in italiano?||no |
|funziona offline?| |no|
|app per lo smarpthone?| si||
|ha una comunità ampia? >=1000pp|si| |
|è in sviluppo stabile?|si||
|si possono esportare i dati?||no|
|interoperabile con altri software/formati?|si||
|interoperabile su win e mac?|web||
|personalizzabile?||no|

****
</small>

--

## hosting immediato europeo


* https://indiehosters.net/
* da contattare

--
## libre hoster

![demoPicture](/images/jitsi/libreh.png)
--
## hosting immediato internazionale

* https://owncube.com/jitsi_en.php
* 228 euro alll'anno, 10 utenti

--
## owncube

![demoPicture](/images/jitsi/owncube.png)
--

## Note

* lo sto usando per diversi gruppi
* servizi antagoniste https://vc.autistici.org
* cooperativa https://meet.mayfirst.org forse a donazione

---


# Big Blu Button


![demoPicture](/images/bbb/bbbhome.png)


--

Caratteristica principale per cui noi ve lo proponiamo

### didattica a distanza

https://bigbluebutton.org/


--

## Videoconferenza

![demoPicture](/images/bbb/meet.png)

--

## Lavagna condivisa

![demoPicture](/images/bbb/lavagna.png)

--

## Registrazioni disponibili

![personabbonata](/images/bbb/rec.png)

--

## Registrazioni video e lavagna e chat

![personabbonata](/images/bbb/videorec.png)

--


## altre caratteristiche

* condivisione pdf e video
* test audio prima di entrare 
* chat
* divisione in gruppi a timer
* presa di parola/alzata di mano
* link senza registrazione per chi partecipa
* note condivise
* condivisione schermo
* chi apre la lezione decide chi presenta
* buon filtro voce

--

## Features
![demoPicture](/images/bbb/features.png)

--

## Dashboard

![demoPicture](/images/bbb/dashboard.png)

--


### Pro e contro

<small>
****

|Valutazioni|si|no|
|-|-|-|
|tradotto in italiano?|no| |
|funziona offline?| |no|
|app per lo smarpthone?| |no|
|ha una comunità ampia? >=1000pp|si| |
|è in sviluppo stabile?|si||
|si possono esportare i dati?|ni||
|interoperabile con altri software/formati?|si||
|interoperabile su win e mac?|web||
|personalizzabile?||ni|

****
</small>

--


## hosting immediato 

* francesi https://yourownnet.net/
* 140 euro l'anno
* forniscono anche dolibarr (31 euro annuali)

--

## yourownnet

![demoPicture](/images/bbb/yournet.png)

--
## hosting immediato 2

* inglesi https://www.org.meet.coop/ 
* 9 pound al mese, circa 120 euro all'anno

--

## meet.coop

![demoPicture](/images/bbb/meetcoop.png)

--

## Note

* lo sto usando per diversi gruppi

---

# TALK di nextcloud

![demoPicture](/images/talk/talk.png)

--

Caratteristica principale per cui noi ve lo proponiamo

### video chiamate

--

* uno dei plugin del cloud
* 
https://nextcloud.com/talk/

--

## features

![demoPicture](/images/talk/features.png)
